# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri Apr 14 15:35:28 2023
# ------------------------------------------------

package:
  name: tbb
  version: 2021.9.0
source:
  fn: v2021.9.0.tar.gz
  sha256: 1ce48f34dada7837f510735ff1172f6e2c261b09460e3bf773b49791d247d24e
  url: https://github.com/oneapi-src/oneTBB/archive/v2021.9.0.tar.gz
build:
  number: '0'
  script:
    - cmake $CMAKE_ARGS -DTBB_TEST=OFF -S . -B build
    - cmake --build build --parallel
    - cmake -DCOMPONENT=runtime -P build/cmake_install.cmake
  string: hf52228f_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_12
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2022.12.7 ha878542_0
    - cmake 3.26.3 h077f3f9_0
    - expat 2.5.0 hcb278e6_1
    - gcc_impl_linux-64 11.3.0 hab1b70f_19
    - gcc_linux-64 11.3.0 he6f903b_12
    - gxx_impl_linux-64 11.3.0 hab1b70f_19
    - gxx_linux-64 11.3.0 hc203a17_12
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.20.1 h81ceb04_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libcurl 8.0.1 h588be90_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 11.3.0 h210ce93_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnghttp2 1.52.0 h61bc06f_0
    - libnsl 2.0.0 h7f98852_0
    - libsanitizer 11.3.0 h239ccf8_19
    - libsqlite 3.40.0 h753d276_0
    - libssh2 1.10.0 hf14f497_3
    - libstdcxx-devel_linux-64 11.3.0 h210ce93_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuuid 2.38.1 h0b41bf4_0
    - libuv 1.44.2 h166bdaf_0
    - libzlib 1.2.13 h166bdaf_4
    - make 4.3 hd18ef5c_1
    - ncurses 6.3 h27087fc_1
    - openssl 3.1.0 h0b41bf4_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - python 3.11.3 h2755cc3_0_cpython
    - readline 8.2 h8228510_1
    - rhash 1.4.3 h166bdaf_0
    - sysroot_linux-64 2.12 he073ed8_15
    - tk 8.6.12 h27826a3_0
    - tzdata 2023c h71feb2d_0
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h3eb15da_6
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - icu 72.1 hcb278e6_0
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libhwloc 2.9.1 hd6dc26d_0
    - libiconv 1.17 h166bdaf_0
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libxml2 2.10.4 hfdac1af_0
    - libzlib 1.2.13 h166bdaf_4
    - xz 5.2.6 h166bdaf_0
  run:
    - libgcc-ng >=12
    - libhwloc >=2.9.1,<2.9.2.0a0
    - libstdcxx-ng >=12
about:
  dev_url: https://github.com/oneapi-src/oneTBB
  doc_url: https://software.intel.com/en-us/oneapi-tbb-documentation
  home: https://github.com/oneapi-src/oneTBB
  license: Apache-2.0
  license_file:
    - LICENSE.txt
    - third-party-programs.txt
  summary: TBB Libraries
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - AlexVeprev
    - anton-malakhov
    - isaevil
    - jschueller
